 Gauss:

    Item_Information:

        Item_Name: "&eGauss Shotgun"

        Item_Type: 417

        Item_Lore: "&eAdvanced pump-action shotgun.|&eFires metal slugs that penetrate|&eall targets within 40 blocks.|&eDeals 200% damage to Zombies."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Projectile_Amount: 1

        Projectile_Type: energy

        Projectile_Subtype: 40-1-NONE-0

        Projectile_Damage: 12

        Sounds_Shoot: WITHER_SHOOT-1-2-0,EXPLODE-1-2-0

    Reload:

        Enable: true

        Reload_Amount: 8

        Reload_Bullets_Individually: true

        Reload_Duration: 10

        Sounds_Reloading: IRONGOLEM_THROW-1-2-0

    Firearm_Action:

        Type: pump

        Open_Duration: 12

        Close_Duration: 3

        Sound_Open: PISTON_EXTEND-1-2-0

        Sound_Close: PISTON_EXTEND-1-2-0

    Abilities:

        Reset_Hit_Cooldown: true

        Super_Effective: ZOMBIE-2

    Particles:

        Enable: true

        Particle_Player_Shoot: BLOCK_BREAK-57

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0



 Carbine:

    Item_Information:

        Item_Name: "&eCarbine"

        Item_Type: 417

        Item_Lore: "&eDeals crits with a 10% chance.|&eSwitch to the grenade launcher|&ewith right click. Fired grenades|&earm themselves in 0.25 seconds."

        Attachments:

            Type: main

            Info: "M320"

            Toggle_Delay: 5

            Sounds_Toggle: NOTE_STICKS-1-2-0

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Delay_Between_Shots: 3

        Recoil_Amount: 1

        Projectile_Amount: 1

        Projectile_Type: snowball

        Projectile_Speed: 40

        Projectile_Damage: 4

        Bullet_Spread: 0.5

        Sounds_Shoot: BLAZE_HIT-1-2-0,ZOMBIE_WOOD-1-2-0

    Sneak:

        Enable: true

        No_Recoil: true

        Bullet_Spread: 0.4

    Reload:

        Enable: true

        Reload_Amount: 8

        Reload_Duration: 30

        Sounds_Reloading: SKELETON_IDLE-1-0-0,FIRE_IGNITE-1-1-14,DOOR_OPEN-1-2-16,FIRE_IGNITE-1-1-26,HURT_FLESH-1-0-27,DOOR_CLOSE-1-2-28

    Firearm_Action:

        Type: slide

        Close_Duration: 8

        Sound_Close: CLICK-1-1-0

    Abilities:

        Reset_Hit_Cooldown: true

    Particles:

        Enable: true

        Particle_Impact_Anything: BLOCK_BREAK-80

        Particle_Critical: BLOCK_BREAK-55

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0

    Critical_Hits:

        Enable: true

        Bonus_Damage: 2

        Chance: 10

        Sounds_Shooter: ORB_PICKUP-1-2-0


 Bazooka:

    Item_Information:

        Item_Name: "&eBazooka"

        Item_Type: 417

        Item_Lore: "&eRocket launcher.|&eFire down at your|&efeet to rocket-jump.|&eNegates fall damage."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

        Inventory_Control: Group_Bazookas

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Recoil_Amount: 2

        Projectile_Amount: 1

        Projectile_Type: fireball

        Projectile_Speed: 10

        Sounds_Shoot: ZOMBIE_WOOD-1-0-0,FIZZ-1-1-0

    Sneak:

        Enable: true

        No_Recoil: true

    Abilities:

        No_Fall_Damage: true

    Reload:

        Enable: true

        Reload_Amount: 1

        Reload_Duration: 55

        Sounds_Reloading: SKELETON_IDLE-1-0-10,PISTON_EXTEND-1-0-28,SKELETON_WALK-1-0-48

    Particles:

        Enable: true

        Particle_Player_Shoot: BLOCK_BREAK-35

    Shrapnel:

        Enable: true

        Block_Type: 77

        Amount: 14

        Speed: 7

    Explosions:

        Enable: true

        Knockback: 5

        Damage_Multiplier: 10

        Explosion_No_Grief: true

        Explosion_Radius: 6

        Sounds_Shooter: SHOOT_ARROW-1-2-0


 Python:

    Item_Information:

        Item_Name: "&ePython &l/&e Knife"

        Item_Type: 417

        Item_Lore: "&eRevolver with high power.|&eLeft click to melee enemies|&ewith the tactical knife."

        Melee_Attachment: Tactical_Knife

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Right_Click_To_Shoot: true

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Delay_Between_Shots: 2

        Projectile_Amount: 1

        Projectile_Type: snowball

        Projectile_Speed: 40

        Projectile_Damage: 6

        Bullet_Spread: 0.5

        Sounds_Shoot: IRONGOLEM_HIT-1-2-0,ZOMBIE_METAL-1-2-0

    Reload:

        Enable: true

        Reload_Amount: 6

        Reload_Duration: 35

        Sounds_Reloading: LEVEL_UP-1-1-10,FIRE_IGNITE-1-2-28

    Firearm_Action:

        Type: revolver

        Open_Duration: 5

        Close_Duration: 5

        Sound_Open: DOOR_OPEN-1-2-0

        Sound_Close: DOOR_CLOSE-1-2-0

    Abilities:

        Reset_Hit_Cooldown: true

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0


 Riotshield:

    Item_Information:

        Item_Name: "&eRiot Shield"

        Item_Type: 267

        Item_Lore: "&eHold right-click to raise the shield.|&eBlocks all melee and ranged attacks.|&eIneffective against attacks from behind."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

        Remove_Unused_Tag: true

    Riot_Shield:

        Enable: true

        Durability_Loss_Per_Hit: 10

        Sounds_Blocked: GLASS-2-2-0

        Sounds_Break: ITEM_BREAK-2-1-0

 
Olympia:

    Item_Information:

        Item_Name: "&eOlympia"

        Item_Type: 417

        Item_Lore: "&eDouble-barreled shotgun.|&eDeadly at close range.|&eIneffective at longer ranges.|&eFires incendiary ammo."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Delay_Between_Shots: 3

        Recoil_Amount: 5

        Projectile_Amount: 10

        Projectile_Type: egg

        Removal_Or_Drag_Delay: false-false

        Projectile_Speed: 30

        Projectile_Damage: 5

        Projectile_Incendiary:

            Enable: true

            Duration: 80

        Bullet_Spread: 1

        Reset_Fall_Distance: true

        Sounds_Shoot: ZOMBIE_WOOD-1-1-0,EXPLODE-1-2-0,GHAST_FIREBALL-1-1-0

    Sneak:

        Enable: true

        No_Recoil: true

        Bullet_Spread: 1

    Reload:

        Enable: true

        Reload_Amount: 2

        Reload_Bullets_Individually: true

        Reload_Duration: 15

        Sounds_Reloading: NOTE_STICKS-1-1-0,NOTE_SNARE_DRUM-1-6-1

    Firearm_Action:

        Type: break

        Open_Duration: 10

        Close_Duration: 15

        Sound_Open: DOOR_OPEN-1-2-0,

        Sound_Close: DOOR_CLOSE-1-2-0

    Abilities:

        Reset_Hit_Cooldown: true

        No_Fall_Damage: true

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0

    Damage_Based_On_Flight_Time:

        Enable: true

        Bonus_Damage_Per_Tick: 0

        Maximum_Damage: 4

    Particles:

        Enable: true

        Particle_Player_Shoot: FLAMES-1

        Particle_Impact_Anything: BLOCK_BREAK-51

 
Hunting:

    Item_Information:

        Item_Name: "&eHunting Rifle"

        Item_Type: 417

        Item_Lore: "&eBolt-action rifle with high accuracy.|&eEquipped with a night vision scope.|&eDeals double damage on headshots."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Projectile_Amount: 1

        Projectile_Type: snowball

        Projectile_Speed: 1000

        Projectile_Damage: 12

        Sounds_Shoot: BLAZE_HIT-1-1-0,EXPLODE-1-2-0

    Custom_Death_Message:

        Normal: "&e<victim> was sniped by <shooter>'s Hunting Rifle!"

    Reload:

        Enable: true

        Starting_Amount: 0

        Reload_Amount: 5

        Reload_Bullets_Individually: true

        Reload_Duration: 10

        Sounds_Reloading: NOTE_STICKS-1-1-0

    Firearm_Action:

        Type: bolt

        Open_Duration: 8

        Close_Duration: 7

        Close_Shoot_Delay: 6

        Sound_Open: NOTE_STICKS-1-0-0,PISTON_RETRACT-1-2-2

        Sound_Close: PISTON_EXTEND-1-2-0
    
 Headshot:

        Enable: true

        Bonus_Damage: 12

        Sounds_Shooter: NOTE_PLING-1-2-0

        Sounds_Victim: HURT-1-1-0

    Abilities:

        Reset_Hit_Cooldown: true

        Knockback: 3

    Particles:

        Enable: true

        Particle_Player_Shoot: BLOCK_BREAK-1

        Particle_Terrain: true

    Fireworks:

        Enable: true

        Firework_Headshot: STAR-TRUE-TRUE-250-0-0

    Scope:

        Enable: true

        Night_Vision: true

        Zoom_Amount: 5

        Sounds_Toggle_Zoom: NOTE_STICKS-1-2-0

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0


 Type95:

    Item_Information:

        Item_Name: "&eType 95"

        Item_Type: 417

        Item_Lore: "&eSemi-automatic with three round burst fire.|&eGhast Tears are required for reloads."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    SignShops:

        Enable: true

        Price: 266-10

        Sign_Gun_ID: 22

    Shooting:

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Delay_Between_Shots: 7

        Recoil_Amount: 1

        Projectile_Amount: 1

        Projectile_Type: snowball

        Projectile_Speed: 40

        Projectile_Damage: 4

        Bullet_Spread: 2

        Sounds_Shoot: ITEM_BREAK-1-2-2,NOTE_SNARE_DRUM-1-0-2

    Sneak:

        Enable: true

        No_Recoil: true

        Bullet_Spread: 1

    Burstfire:

        Enable: true

        Shots_Per_Burst: 3

        Delay_Between_Shots_In_Burst: 2

    Ammo:

        Enable: true

        Ammo_Item_ID: 370

        Sounds_Out_Of_Ammo: NOTE_PLING-1-2-0

        Sounds_Shoot_With_No_Ammo: NOTE_STICKS-1-2-0

    Reload:

        Enable: true

        Reload_Amount: 30

        Take_Ammo_On_Reload: true

        Reload_Duration: 40

        Sounds_Reloading: FIRE_IGNITE-1-1-4,DOOR_OPEN-1-2-6,FIRE_IGNITE-1-1-36,HURT_FLESH-1-0-37,DOOR_CLOSE-1-2-38

    Firearm_Action:

        Type: slide

        Close_Duration: 10

        Sound_Close: PISTON_RETRACT-1-2-0,PISTON_RETRACT-1-2-2

    Scope:

        Enable: true

        Zoom_Amount: 5

        Zoom_Bullet_Spread: 0

        Sounds_Toggle_Zoom: ENDERDRAGON_WINGS-1-2-0

    Abilities:

        Reset_Hit_Cooldown: true

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0


 AK-47:

    Item_Information:

        Item_Name: "&eAK-47"

        Item_Type: 417

        Item_Lore: "&eFully automatic with high power.|&eEffective at medium range.|&eControls are inverted."

        Sounds_Acquired: BAT_TAKEOFF-1-1-0

    Shooting:

        Right_Click_To_Shoot: true

        Cancel_Left_Click_Block_Damage: true

        Cancel_Right_Click_Interactions: true

        Delay_Between_Shots: 4

        Recoil_Amount: 1

        Projectile_Amount: 1

        Projectile_Type: snowball

        Projectile_Speed: 40

        Projectile_Damage: 4

        Bullet_Spread: 0.5
        Sounds_Shoot: IRONGOLEM_HIT-1-2-0,SKELETON_HURT-1-2-0,ZOMBIE_WOOD-1-2-0

    Sneak:

        Enable: true

        No_Recoil: true

        Bullet_Spread: 1

    Burstfire:

        Enable: true

        Shots_Per_Burst: 2

        Delay_Between_Shots_In_Burst: 3

    Reload:

        Enable: true

        Reload_Amount: 30

        Reload_Duration: 40

        Sounds_Out_Of_Ammo: ITEM_BREAK-1-1-0

        Sounds_Reloading: FIRE_IGNITE-1-1-4,DOOR_OPEN-1-2-6,FIRE_IGNITE-1-1-36,HURT_FLESH-1-0-37,DOOR_CLOSE-1-2-38

    Firearm_Action:

        Type: slide

        Close_Duration: 10

        Close_Shoot_Delay: 12

        Sound_Close: PISTON_RETRACT-1-2-0,PISTON_RETRACT-1-2-3

    Scope:

        Enable: true

        Zoom_Amount: 5

        Zoom_Bullet_Spread: 0

        Sounds_Toggle_Zoom: ENDERDRAGON_WINGS-1-2-0

    Abilities:

        Reset_Hit_Cooldown: true

    Hit_Events:

        Enable: true

        Sounds_Shooter: SHOOT_ARROW-1-2-0